// ADO_StockView.h : interface of the CADO_StockView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_ADO_STOCKVIEW_H__103D8A61_2892_11D4_9FC1_080009EE62AA__INCLUDED_)
#define AFX_ADO_STOCKVIEW_H__103D8A61_2892_11D4_9FC1_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CADO_StockView : public CFormView
{
protected: // create from serialization only
	CADO_StockView();
	DECLARE_DYNCREATE(CADO_StockView)

public:
	//{{AFX_DATA(CADO_StockView)
	enum { IDD = IDD_ADO_STOCK_FORM };
	CTabCtrl	m_Tab;
	//}}AFX_DATA

	CStockPage m_StockPage;
	CPortfolioPage m_PortfolioPage;

// Attributes
public:
	CADO_StockDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CADO_StockView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CADO_StockView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CADO_StockView)
	afx_msg void OnSelchangeStocktab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ADO_StockView.cpp
inline CADO_StockDoc* CADO_StockView::GetDocument()
   { return (CADO_StockDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADO_STOCKVIEW_H__103D8A61_2892_11D4_9FC1_080009EE62AA__INCLUDED_)
